Subject: Re: bug#61538: Iconifying a frame changes its title
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], Jonas Bernoulli <[email-masked]>
Date: Tue, 5 Sep 2023 14:34:47 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Jonas Bernoulli <[email-masked]>
>> Cc: [email-masked]
>> Date: Wed, 15 Feb 2023 23:20:52 +0100
>>
>> Eli Zaretskii <[email-masked]> writes:
>>
>> >> Is there a knob, that I am not aware of, to control this?
>> >> If not, please consider adding one.
>> >
>> > Isn't this a duplicate of bug#61496, especially the last part of its
>> > discussion?
>>
>> I should have looked at the info manual and the bug tracker more closely
>> before opening this.  I actually saw `icon-title-format', but I jumped
>> to the conclusion that it had something to do with displaying an
>> application icon.
>>
>>      Sorry for the noise!
>
> No sweat.
>
> Would you mind expressing your opinion about the proposals in
> bug#61496, specifically:
>
>   . setting icon-title-format to t would mean "use frame-title-format"
>   . leaving the default as it is in Emacs 29, with t being opt-in
>
> Would you consider the above a good solution for Emacs 29, or do you
> think we must change the default to t?
>
> Thanks.

It seems like this was resolved, so I'm closing this bug.  Please speak
up if this conclusion is wrong, and we can reopen the bug report.